diff --git mythplugins/mythmusic/i18n/mythmusic_es_es.ts mythplugins/mythmusic/i18n/mythmusic_es_es.ts
index 01a4299..3d8a08f 100644
--- mythplugins/mythmusic/i18n/mythmusic_es_es.ts
+++ mythplugins/mythmusic/i18n/mythmusic_es_es.ts
@@ -5,27 +5,29 @@
 <context>
     <name>(MythMusicMain)</name>
     <message>
-        <location filename="../mythmusic/main.cpp" line="100"/>
+        <location filename="../mythmusic/musicdata.cpp" line="111"/>
         <source>Loading Music. Please wait ...</source>
         <translation>Cargando música. Por favor, espere ...</translation>
     </message>
     <message>
-        <location filename="../mythmusic/main.cpp" line="201"/>
-        <source>MythMusic hasn&apos;t been built with libcdio support so ripping CDs is not possible</source>
-        <translation>MythMusic no ha sido compilado con libcdio así que no es posible importar CDs</translation>
+        <location filename="../mythmusic/main.cpp" line="90"/>
+        <source>No directories found in the &apos;Music&apos; storage group. Please run mythtv-setup on the backend machine to add one.</source>
+        <translation>No se encontraron directorios en el grupo de almacenamiento &apos;Music&apos;. Por favor, ejecute mythtv-setup en el servidor para añadir uno.</translation>
     </message>
     <message>
-        <location filename="../mythmusic/main.cpp" line="212"/>
-        <source>You need to tell me where to find your music on the &apos;General Settings&apos; page of MythMusic&apos;s settings pages.</source>
-        <translation>Necesita decirme dónde encontrar su música en la página &apos;Configuración general&apos; de MythMusic.</translation>
+        <location filename="../mythmusic/main.cpp" line="115"/>
+        <source>No music has been found.
+Please select &apos;Scan For New Music&apos; to perform a scan for music.</source>
+        <translation>No se ha encontrado música.
+Por favor, seleccione &apos;Buscar música nueva&apos; para realizar una búsqueda.</translation>
     </message>
     <message>
-        <location filename="../mythmusic/main.cpp" line="221"/>
-        <source>Can&apos;t find your music directory. Have you set it correctly on the &apos;General Settings&apos; page of MythMusic&apos;s settings pages?</source>
-        <translation>No encuentro su directorio de música. ¿Lo ha configurado correctamente en la página &apos;Configuración general&apos; de MythMusic?</translation>
+        <location filename="../mythmusic/main.cpp" line="196"/>
+        <source>MythMusic hasn&apos;t been built with libcdio support so ripping CDs is not possible</source>
+        <translation>MythMusic no ha sido compilado con libcdio así que no es posible importar CDs</translation>
     </message>
     <message>
-        <location filename="../mythmusic/main.cpp" line="529"/>
+        <location filename="../mythmusic/main.cpp" line="490"/>
         <source>Unknown</source>
         <translation>Desconocido</translation>
     </message>
@@ -41,7 +43,7 @@
 <context>
     <name>CDRipperThread</name>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="250"/>
+        <location filename="../mythmusic/cdrip.cpp" line="264"/>
         <source>Importing %1</source>
         <translation>Importando %1</translation>
     </message>
@@ -161,60 +163,60 @@ Compruebe que el URL sea correcto.</translation>
 <context>
     <name>EditAlbumartDialog</name>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="1036"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="1093"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="1237"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1020"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1084"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1229"/>
         <source>Change Image Type</source>
         <translation>Cambiar tipo de imagen</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="1038"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1022"/>
         <source>What image type do you want to use for this image?</source>
         <translation>¿Qué tipo desea usar para esta imagen?</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="1071"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1057"/>
         <source>Options</source>
         <translation>Opciones</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="1085"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="1231"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1071"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1223"/>
         <source>Edit Metadata</source>
         <translation>Editar metadatos</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="1086"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="1233"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1072"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1225"/>
         <source>Rescan For Images</source>
         <translation>Buscar imágenes nuevamente</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="1087"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="1235"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1075"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1227"/>
         <source>Search Internet For Images</source>
         <translation>Buscar imágenes en Internet</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="1106"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="1239"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1097"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1231"/>
         <source>Copy Selected Image To Tag</source>
         <translation>Copiar la imagen seleccionada a la etiqueta</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="1111"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="1241"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1102"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1233"/>
         <source>Remove Selected Image From Tag</source>
         <translation>Eliminar la imagen seleccionada de la etiqueta</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="1121"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="1243"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1112"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1235"/>
         <source>Copy Image To Tag</source>
         <translation>Copiar imagen a la etiqueta</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="1332"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="1325"/>
         <source>Are you sure you want to permanently remove this image from the tag?</source>
         <translation>¿Seguro que desea eliminar permanentemente esta imagen de la etiqueta?</translation>
     </message>
@@ -222,18 +224,18 @@ Compruebe que el URL sea correcto.</translation>
 <context>
     <name>EditMetadataCommon</name>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="147"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="166"/>
         <source>Save Changes?</source>
         <translation>¿Guardar cambios?</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="162"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="164"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="181"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="183"/>
         <source>Save Changes</source>
         <translation>Guardar cambios</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="166"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="185"/>
         <source>Exit/Do Not Save</source>
         <translation>Salir/No guardar</translation>
     </message>
@@ -241,133 +243,110 @@ Compruebe que el URL sea correcto.</translation>
 <context>
     <name>EditMetadataDialog</name>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="510"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="490"/>
         <source>Options</source>
         <translation>Opciones</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="524"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="794"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="504"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="768"/>
         <source>Edit Albumart Images</source>
         <translation>Editar imágenes del álbum</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="525"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="801"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="505"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="775"/>
         <source>Search Internet For Artist Image</source>
         <translation>Buscar imágenes del intérprete en Internet</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="526"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="806"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="506"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="780"/>
         <source>Search Internet For Album Image</source>
         <translation>Buscar imágenes del álbum en Internet</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="527"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="796"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="507"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="770"/>
         <source>Search Internet For Genre Image</source>
         <translation>Buscar imágenes del género en Internet</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="528"/>
-        <location filename="../mythmusic/editmetadata.cpp" line="811"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="508"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="785"/>
         <source>Check Track Length</source>
         <translation>Comprobar duración de la pista</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="563"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="543"/>
         <source>Various Artists</source>
         <translation>Varios intérpretes</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="570"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="550"/>
         <source>Select an Artist</source>
         <translation>Seleccionar un intérprete</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="615"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="595"/>
         <source>Select a Compilation Artist</source>
         <translation>Seleccionar un intérprete de recopilación</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="640"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="620"/>
         <source>Select an Album</source>
         <translation>Seleccionar un álbum</translation>
     </message>
     <message>
-        <location filename="../mythmusic/editmetadata.cpp" line="683"/>
+        <location filename="../mythmusic/editmetadata.cpp" line="663"/>
         <source>Select a Genre</source>
         <translation>Seleccionar un género</translation>
     </message>
-</context>
-<context>
-    <name>FileScanner</name>
     <message>
-        <source>Cleaning music database</source>
-        <translation type="obsolete">Vaciando base de datos de música</translation>
-    </message>
-    <message>
-        <source>Searching for music files</source>
-        <translation type="obsolete">Buscando archivos de música</translation>
-    </message>
-    <message>
-        <source>Updating music database</source>
-        <translation type="obsolete">Actualizando la base de datos de música</translation>
-    </message>
-    <message>
-        <source>Scanning music files</source>
-        <translation type="obsolete">Explorando archivos de música</translation>
-    </message>
-    <message>
-        <source>Scanning Album Artwork</source>
-        <translation type="obsolete">Explorando arte del álbum</translation>
+        <location filename="../mythmusic/editmetadata.cpp" line="793"/>
+        <source>Asked the backend to check the tracks length</source>
+        <translation>Se le solicitó al servidor que compruebe la longitud de las pistas</translation>
     </message>
 </context>
 <context>
     <name>GeneralSettings</name>
     <message>
-        <location filename="../mythmusic/generalsettings.cpp" line="71"/>
-        <source>This directory must exist, and the user running MythMusic needs to have write permission to the directory.</source>
-        <translation>Este directorio debe existir y el usuario que ejecuta MythMusic necesita permiso de escritura sobre el mismo.</translation>
-    </message>
-    <message>
-        <location filename="../mythmusic/generalsettings.cpp" line="74"/>
+        <location filename="../mythmusic/generalsettings.cpp" line="69"/>
         <source>Audio Device used for playback. &apos;default&apos; will use the device specified in MythTV</source>
         <translation>Dispositivo de sonido usado para la reproducción. &apos;Predeterminado&apos; usará el especificado en MythTV</translation>
     </message>
     <message>
-        <location filename="../mythmusic/generalsettings.cpp" line="76"/>
+        <location filename="../mythmusic/generalsettings.cpp" line="71"/>
         <source>MythTV can upconvert stereo tracks to 5.1 audio. Set this option to enable it by default. You can enable or disable the upconversion during playback at anytime.</source>
         <translation>MythTV puede convertir pistas estéreo en sonido 5.1. Marque esta opción para activarla por defecto. Puede activar o desactivar la conversión en cualquier momento durante la reproducción.</translation>
     </message>
     <message>
-        <location filename="../mythmusic/generalsettings.cpp" line="80"/>
+        <location filename="../mythmusic/generalsettings.cpp" line="75"/>
         <source>CD-ROM device used for ripping/playback.</source>
         <translation>Dispositivo CDROM a usar para la importación/reproducción.</translation>
     </message>
     <message>
-        <location filename="../mythmusic/generalsettings.cpp" line="81"/>
+        <location filename="../mythmusic/generalsettings.cpp" line="76"/>
         <source>Directory and filename format used to grab information if no ID3 information is found. Accepts GENRE, ARTIST, ALBUM, TITLE, ARTIST_TITLE and TRACK_TITLE.</source>
         <translation>Directorio y formato de nombre de archivo usados para recopilar información si no se encuentran datos ID3. Se aceptan GENRE (género), ARTIST (intérprete), ALBUM (álbum), TITLE (título), ARTIST_TITLE (intérprete_título) y TRACK_TITLE (pista_título).</translation>
     </message>
     <message>
-        <location filename="../mythmusic/generalsettings.cpp" line="85"/>
+        <location filename="../mythmusic/generalsettings.cpp" line="80"/>
         <source>If set, MythMusic will skip checking ID3 tags in files and just try to determine Genre, Artist, Album, and Track number and title from the filename.</source>
         <translation>Si se activa, MythMusic dejará de comprobar las etiquetas ID3 en los archivos y se limitará a tratar de determinar Género, Intérprete, Álbum y número y título de Pista a partir del nombre del archivo.</translation>
     </message>
     <message>
-        <location filename="../mythmusic/generalsettings.cpp" line="89"/>
+        <location filename="../mythmusic/generalsettings.cpp" line="84"/>
         <source>If set, MythMusic will be allowed to update the metadata in the file (e.g. ID3) to match the database. This means allowing MythTV to write to the file and permissions must be set accordingly. Features such as ID3 playcounts and ratings depend on this being enabled.</source>
         <translation>Si se activa, se permitirá a MythMusic actualizar los metadatos del archivo (p. ej. ID3) que coincidan con la base de datos. Esto significa permitir que MythTV escriba en el archivo y, por tanto, los permisos deben ser los adecuados. Características como la cuenta de reproducciones y puntuaciones ID3 dependen de ello.</translation>
     </message>
     <message>
-        <location filename="../mythmusic/generalsettings.cpp" line="95"/>
+        <location filename="../mythmusic/generalsettings.cpp" line="90"/>
         <source>Exit without saving settings</source>
         <translation>Salir sin guardar la configuración</translation>
     </message>
     <message>
-        <location filename="../mythmusic/generalsettings.cpp" line="96"/>
+        <location filename="../mythmusic/generalsettings.cpp" line="91"/>
         <source>Save settings and Exit</source>
         <translation>Guardar la configuración y salir</translation>
     </message>
@@ -375,37 +354,37 @@ Compruebe que el URL sea correcto.</translation>
 <context>
     <name>ImportCoverArtDialog</name>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="972"/>
-        <location filename="../mythmusic/importmusic.cpp" line="1148"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1035"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1230"/>
         <source>Front Cover</source>
         <translation>Portada</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="974"/>
-        <location filename="../mythmusic/importmusic.cpp" line="1150"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1037"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1232"/>
         <source>Back Cover</source>
         <translation>Contraportada</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="976"/>
-        <location filename="../mythmusic/importmusic.cpp" line="1154"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1039"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1236"/>
         <source>CD</source>
         <translation>CD</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="978"/>
-        <location filename="../mythmusic/importmusic.cpp" line="1152"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1041"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1234"/>
         <source>Inlay</source>
         <translation>Interior</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="980"/>
-        <location filename="../mythmusic/importmusic.cpp" line="1156"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1043"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1238"/>
         <source>&lt;Unknown&gt;</source>
         <translation>&lt;Desconocido&gt;</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="1018"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1081"/>
         <source>Copy CoverArt Failed.
 Copying to %1</source>
         <extracomment>%1 is the filename</extracomment>
@@ -413,19 +392,19 @@ Copying to %1</source>
 Copiando a %1</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="1089"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1163"/>
         <source>%1 of %2</source>
         <comment>Current file copied</comment>
         <extracomment>%1 is the current position of the file being copied, %2 is the total number of files</extracomment>
         <translation>%1 de %2</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="1123"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1205"/>
         <source>File Already Exists</source>
         <translation>El archivo ya existe</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="1125"/>
+        <location filename="../mythmusic/importmusic.cpp" line="1207"/>
         <source>New File</source>
         <translation>Nuevo archivo</translation>
     </message>
@@ -433,101 +412,111 @@ Copiando a %1</translation>
 <context>
     <name>ImportMusicDialog</name>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="165"/>
+        <location filename="../mythmusic/importmusic.cpp" line="145"/>
         <source>New File</source>
         <translation>Nuevo archivo</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="467"/>
+        <location filename="../mythmusic/importmusic.cpp" line="448"/>
         <source>This track is already in the database</source>
         <translation>Esta pista ya existe en la base de datos</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="170"/>
+        <location filename="../mythmusic/importmusic.cpp" line="150"/>
         <source>Already in Database</source>
         <translation>Ya existe en la base de datos</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="149"/>
+        <location filename="../mythmusic/importmusic.cpp" line="129"/>
         <source>%1 of %2</source>
         <comment>Current track position</comment>
         <extracomment>%1 is the current track, %2 is the number of tracks</extracomment>
         <translation>%1 de %2</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="176"/>
+        <location filename="../mythmusic/importmusic.cpp" line="156"/>
         <source>Not found</source>
         <translation>No encontrado</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="239"/>
+        <location filename="../mythmusic/importmusic.cpp" line="219"/>
         <source>You might have unsaved changes.
 Are you sure you want to exit this screen?</source>
         <translation>Podría tener cambios sin guardar.
 ¿Seguro que desea salir de esta pantalla?</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="423"/>
+        <location filename="../mythmusic/importmusic.cpp" line="424"/>
         <source>Copy Failed
 Could not copy file to: %1</source>
         <translation>Error en la copia
 No fue posible copiar el archivo a: %1</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="496"/>
+        <location filename="../mythmusic/importmusic.cpp" line="477"/>
         <source>%1 new tracks were added to the database</source>
         <translation>Se añadieron %1 pistas nuevas a la base de datos</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="526"/>
-        <source>Cannot import music from the music directory. You probably want to use &apos;Scan For New Music&apos; instead.</source>
-        <translation>No es posible importar música desde el directorio. Quizá desee usar &apos;Buscar nueva música&apos; primero.</translation>
+        <location filename="../mythmusic/importmusic.cpp" line="505"/>
+        <source>Copying music file to the &apos;Music&apos; storage group on %1</source>
+        <translation>Copiando el archivo de música al grupo de almacenamiento &apos;Music&apos; en %1</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="537"/>
+        <location filename="../mythmusic/importmusic.cpp" line="547"/>
         <source>Searching for music files</source>
         <translation>Buscando archivos de música</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="674"/>
+        <location filename="../mythmusic/importmusic.cpp" line="682"/>
+        <source>Select Where To Save Tracks</source>
+        <translation>Elegir dónde guardar las pistas</translation>
+    </message>
+    <message>
+        <location filename="../mythmusic/importmusic.cpp" line="683"/>
         <source>Save Defaults</source>
         <translation>Guardar valores predeterminados</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="678"/>
+        <location filename="../mythmusic/importmusic.cpp" line="687"/>
         <source>Change Compilation Flag</source>
         <translation>Cambiar marca de recopilación</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="679"/>
+        <location filename="../mythmusic/importmusic.cpp" line="688"/>
         <source>Change Compilation Artist</source>
         <translation>Cambiar intérprete de recopilación</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="681"/>
+        <location filename="../mythmusic/importmusic.cpp" line="690"/>
         <source>Change Artist</source>
         <translation>Cambiar intérprete</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="682"/>
+        <location filename="../mythmusic/importmusic.cpp" line="691"/>
         <source>Change Album</source>
         <translation>Cambiar álbum</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="683"/>
+        <location filename="../mythmusic/importmusic.cpp" line="692"/>
         <source>Change Genre</source>
         <translation>Cambiar género</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="684"/>
+        <location filename="../mythmusic/importmusic.cpp" line="693"/>
         <source>Change Year</source>
         <translation>Cambiar año</translation>
     </message>
     <message>
-        <location filename="../mythmusic/importmusic.cpp" line="685"/>
+        <location filename="../mythmusic/importmusic.cpp" line="694"/>
         <source>Change Rating</source>
         <translation>Cambiar puntuación</translation>
     </message>
+    <message>
+        <location filename="../mythmusic/importmusic.cpp" line="723"/>
+        <source>Select where to save tracks</source>
+        <translation>Elija dónde guardar las pistas</translation>
+    </message>
 </context>
 <context>
     <name>ImportSettings</name>
@@ -665,7 +654,7 @@ GENRE (género), ARTIST (intérprete), ALBUM (álbum), TRACK (pista), TITLE (tí
     </message>
     <message>
         <location filename="../mythmusic/musiccommon.cpp" line="1279"/>
-        <location filename="../mythmusic/musiccommon.cpp" line="2123"/>
+        <location filename="../mythmusic/musiccommon.cpp" line="2146"/>
         <source>Save To New Playlist</source>
         <translation>Guardar en una nueva lista de reproducción</translation>
     </message>
@@ -676,7 +665,7 @@ GENRE (género), ARTIST (intérprete), ALBUM (álbum), TRACK (pista), TITLE (tí
     </message>
     <message>
         <location filename="../mythmusic/musiccommon.cpp" line="1295"/>
-        <location filename="../mythmusic/musiccommon.cpp" line="2124"/>
+        <location filename="../mythmusic/musiccommon.cpp" line="2147"/>
         <source>Save To Existing Playlist</source>
         <translation>Guardar en una lista de reproducción existente</translation>
     </message>
